Functions

# object_map.h File Reference

Map accessors for object tiles. More...

`#include "water_map.h"`
`#include "object_type.h"`

Go to the source code of this file.

## Functions
ObjectType | GetObjectType (TileIndex t)
| Gets the ObjectType of the given object tile.
static bool | IsObjectType (TileIndex t, ObjectType type)
| Check whether the object on a tile is of a specific type.
static bool | IsObjectTypeTile (TileIndex t, ObjectType type)
| Check whether a tile is a object tile of a specific type.
static ObjectID | GetObjectIndex (TileIndex t)
| Get the index of which object this tile is attached to.
static byte | GetObjectRandomBits (TileIndex t)
| Get the random bits of this tile.
static void | MakeObject (TileIndex t, Owner o, ObjectID index, WaterClass wc, byte random)
| Make an Object tile.

## Detailed Description

Map accessors for object tiles.

Definition in file object_map.h.

## Function Documentation

static ObjectID GetObjectIndex | ( | TileIndex | t | ) | `[inline, static]`

Get the index of which object this tile is attached to.

Parameters:

  | t | the tile

Precondition:
  IsTileType(t, MP_OBJECT)

Returns:
  The ObjectID of the object.

Definition at line 49 of file object_map.h.

References _m, IsTileType(), Tile::m2, Tile::m5, and MP_OBJECT.

Referenced by Object::GetByTile(), and GetNearbyObjectTileInformation().

static byte GetObjectRandomBits | ( | TileIndex | t | ) | `[inline, static]`

Get the random bits of this tile.

Parameters:

  | t | The tile to get the bits for.

Precondition:
  IsTileType(t, MP_OBJECT)

Returns:
  The random bits.

Definition at line 61 of file object_map.h.

References _m, IsTileType(), Tile::m3, and MP_OBJECT.

Referenced by ObjectScopeResolver::GetRandomBits(), and ObjectScopeResolver::GetVariable().

ObjectType GetObjectType | ( | TileIndex | t | ) |

Gets the ObjectType of the given object tile.

Parameters:

  | t | the tile to get the type from.

Precondition:
  IsTileType(t, MP_OBJECT)

Returns:
  the type.

Definition at line 61 of file object_cmd.cpp.

References Object::GetByTile(), IsTileType(), MP_OBJECT, and Object::type.

Referenced by ObjectSpec::GetByTile(), IsObjectType(), and IsObjectTypeTile().

static bool IsObjectType | ( | TileIndex | t,
|  | ObjectType | type |
| ) |  |  | `[inline, static]`

Check whether the object on a tile is of a specific type.

Parameters:

  | t | Tile to test.
  | type | Type to test.

Precondition:
  IsTileType(t, MP_OBJECT)

Returns:
  True if type matches.

Definition at line 27 of file object_map.h.

References GetObjectType().

Referenced by CmdBuildObject().

static bool IsObjectTypeTile | ( | TileIndex | t,
|  | ObjectType | type |
| ) |  |  | `[inline, static]`

Check whether a tile is a object tile of a specific type.

Parameters:

  | t | Tile to test.
  | type | Type to test.

Returns:
  True if type matches.

Definition at line 38 of file object_map.h.

References GetObjectType(), IsTileType(), and MP_OBJECT.

Referenced by HasTransmitter().

static void MakeObject | ( | TileIndex | t,
|  | Owner | o,
|  | ObjectID | index,
|  | WaterClass | wc,
|  | byte | random |
| ) |  |  | `[inline, static]`

Make an Object tile.

Parameters:

  | t | The tile to make and object tile.
  | o | The new owner of the tile.
  | index | Index to the object.
  | wc | Water class for this object.
  | random | Random data to store on the tile

Definition at line 76 of file object_map.h.

References _m, _me, Tile::m2, Tile::m3, Tile::m4, Tile::m5, TileExtended::m7, MP_OBJECT, SB(), SetTileOwner(), SetTileType(), and SetWaterClass().

Referenced by BuildObject().